The BOOST_PP_EQUAL_D macro compares two values for equality.

#### Usage

BOOST_PP_EQUAL_D(d, x, y)

#### Arguments

d
  This argument is ignored.
x
  The left operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.
y
  The right operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

If x is equal to y, this macro expands to 1. Otherwise, it expands to 0.
This macro is deprecated. It only exists for backward compatibility. Use BOOST_PP_EQUAL instead.

#### See Also

- BOOST_PP_EQUAL
- BOOST_PP_LIMIT_MAG

#### Requirements

Header: <boost/preprocessor/comparison/equal.hpp>

#### Sample Code

    #include <boost/preprocessor/comparison/equal.hpp>

    BOOST_PP_EQUAL_D(1, 4, 3) // expands to 0
    BOOST_PP_EQUAL_D(1, 5, 5) // expands to 1

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)